Subject: MIBs for MLPPP over SONET

From: "R. Muralidharan" <[email-masked]>
Date: Wed, 6 Sep 2000 17:17:43 +0530

Hi All,
   Would appreciate your comments on the adequacy of the following MIBs
 for MLPPP implementation over SONET:
RFC 1473  for NCP of PPP
RFC 1471 for LCP of PPP
RFC 1474 for Bridging in PPP

Is there any MIB just for PPP or MLPPP which I missed?
RFC 1472 for PAP & CHAP is not planned since this PPP is for transport of IP
data over SONET.

Thanks in advance
muralidharan

---

From: James Carlson <[email-masked]>
Date: Wed, 6 Sep 2000 08:32:44 -0400 (EDT)

>  for MLPPP implementation over SONET:

MP (not "MLPPP") is CPU and memory intensive, and is not commonly used
on very high-speed links.  Are you sure you want to do that?

> RFC 1473  for NCP of PPP

1473 is IPCP, not generic "NCP."

> RFC 1474 for Bridging in PPP

I'd be a little surprised if bridging is very useful over SONET links,
but I suppose that depends on your target market.

> Is there any MIB just for PPP or MLPPP which I missed?

No.

> RFC 1472 for PAP & CHAP is not planned since this PPP is for transport of IP

Vendors that support SNMP management of PPP links generally have
extensive enterprise (proprietary) MIBs, since the ones described in
the RFCs are a little thin for the job.

Of course, you'll want all of the standard physical-layer and network
interface stacking MIBs as well ...

-- 
James Carlson                                  <[email-masked]>
"PPP Design and Debugging" --- http://people.ne.mediaone.net/carlson/ppp

---

From: "R. Muralidharan" <[email-masked]>
Date: Thu, 7 Sep 2000 15:21:59 +0530

Dear James,

  Many thanks for your prompt and informative response.
> on very high-speed links.  Are you sure you want to do that?
        MP is being used to bundle VTs to provide variable bandwidth for
Ethernet input ports. This may be better done with Virtual
concatenation(is it true?), which I presume is going to be added to FRS 2615
any time now.
> but I suppose that depends on your target market.
        Bridging is used to provide Transparent LAN services (Ethernet ports
extended to the other end LAN segment through a bundle of VTs).

Thanks again and regards,
muralidharan

_________________________________________________________
Do You Yahoo!?
Get your free @yahoo.com address at http://mail.yahoo.com